Subject: Re: Software as Goods... - UCC Article 9, def #44

From: "todd glassey" <[email-masked]>
Date: Fri, 22 Jun 2007 09:39:42 -0700

I never saw Jorge debunk this commentary. So is it the IETF's attorney's 
stance that this isn't true? Otherwise it needs to be addressed I am saying.

Todd

----- Original Message ----- 
From: "todd glassey" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, May 16, 2007 8:39 AM
Subject: Software as Goods... - UCC Article 9, def #44

> For the WG - My apologies for this legal analysis - and note I am not a
> lawyer, but read along with me and see if this doesn't make sense to you
> too... As to where this came from, Bill and I continued our discussion
> offlist but this is important and I wanted to have this in the record of 
> the
> WG.
>
> BTW - I propose that Jorge formally verify this or debunk it...
>
> The IETF and its operations
> ----------------------------------------
> There was a discussion (between Bill and others and myself) as to whether
> the wares of the IETF constitute 'Goods' as described in the UCC or not. 
> The
> issue is that the secure transfer of the title to goods can be documented
> through the requirements of the UCC and my commentary was that the IETF
> processes must comply with these by law.
>
> So let me jump right in: See Article 9 -102 (a)(44) for details...
> http://www.law.cornell.edu/ucc/9/article9.htm ,
>
> As it happens the IETF's processes, if they are supposed to be a SALE 
> would
> be constrained under Article 2 of the Uniform Commercial Code but since
> there are not the other aspects of a SALE type process, I believe that the
> Secure Transaction Section of the UCC is more applicable meaning that the
>
> In Article 9 we read that "Software is a 'Good's type entity if its 
> embedded
> or the functionality of the 'good' itself is predicated on that SW's
> existence" (my paraphrasing), and while there I suggest reviewing some of
> the other key words there as well, like "Authenticate" - Something that 
> the
> IETF's submission process 'does not do today' IMHO.
>
> Here then is #44:
> -----------
> (44) "Goods" means all things that are movable when a security interest
> attaches. The term includes (i) fixtures, (ii) standing timber that is to 
> be
> cut and removed under a conveyance or contract for sale, (iii) the unborn
> young of animals, (iv) crops grown, growing, or to be grown, even if the
> crops are produced on trees, vines, or bushes, and (v) manufactured homes.
> The term also includes a computer program embedded in goods and any
> supporting information provided in connection with a transaction relating 
> to
> the program if (i) the program is associated with the goods in such a 
> manner
> that it customarily is considered part of the goods, or (ii) by becoming 
> the
> owner of the goods, a person acquires a right to use the program in
> connection with the goods. The term does not include a computer program
> embedded in goods that consist solely of the medium in which the program 
> is
> embedded. The term also does not include accounts, chattel paper, 
> commercial
> tort claims, deposit accounts, documents, general intangibles, 
> instruments,
> investment property, letter-of-credit rights, letters of credit, money, or
> oil, gas, or other minerals before extraction.
> ------------
> Wherein we see that:
>
> "The term (Goods) also includes a computer program embedded in goods and 
> any
> supporting information provided in connection with a transaction relating 
> to
> the program if (i) the program is associated with the goods in such a 
> manner
> that it customarily is considered part of the goods, or (ii) by becoming 
> the
> owner of the goods, a person acquires a right to use the program in
> connection with the goods."
>
> So then IOS for instance is a member of the class "Goods". The reason one
> would think in Cisco's case is that since their HW is useless w/o IOS 
> (i.e.
> cannot be used per se), that also includes IOS as a member of the class
> definition "Goods"... (see #i above) Under the proviso so then is Solaris,
> since it is licensed with the HW it comes on, but arguably Tru64 and other
> individually licensed OS's are not since they are sold/licensed separately
> from the systems they run on.  (see #ii above)
>
>
> "The term (goods) does not include a computer program embedded in goods 
> that
> consist solely of the medium in which the program is embedded."
>
> Please also notice also in the excerpt above that what is excluded is "SW
> shipped as SW itself", so the electronic distribution of patches and the
> like are not Goods... likewise putting an application on a Disk, CD, or 
> DVD
> doesn't classify that SW as a "Goods item" although the physical media it
> comes on would be.
>
> And while the listing of 'other General Intangibles (outside of those
> specified as 'embedded programs' or as defined in the 'part of the 
> package'
> definition) are excluded, SW as defined in the two key cases is.
>
> "The term also does not include accounts, chattel paper, commercial tort
> claims, deposit accounts, documents, general intangibles, instruments,
> investment property, letter-of-credit rights, letters of credit, money, or
> oil, gas, or other minerals before extraction.
>
> That said - The IETF's controlling processes do need to be brought into
> alignment with UCC.
>
> Todd Glassey
>
>
>
>
>
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg